
Summary: 	Stacked GIT
Name:		stgit
Version: 	0.14.3
Release: 	%mkrel 1
Url: 		http://www.procode.org/stgit/
Source0: 	http://homepage.ntlworld.com/cmarinas/stgit/%{name}-%{version}.tar.gz

License: 	GPL
Group: 		Development/Other
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: 	noarch
Requires: 	python
Requires: 	git-core
BuildRequires:	python-devel
BuildRequires:  git-core

%description
StGIT is a Python application providing similar functionality to Quilt (i.e.
pushing/popping patches to/from a stack) on top of GIT. These operations are
performed using GIT commands and the patches are stored as GIT commit objects,
allowing easy merging of the StGIT patches into other repositories using
standard GIT functionality.

Note that StGIT is not an SCM interface on top of GIT and it expects a
previously initialised GIT repository. For standard SCM operations, either use
plain GIT commands or the Cogito tool.


%prep
%setup

%build
python setup.py build

%install
python setup.py install --root=$RPM_BUILD_ROOT --prefix=%{_prefix}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/%name
%{py_puresitedir}/%name
%{py_puresitedir}/%{name}-*.egg-info
%doc README AUTHORS INSTALL COPYING





%changelog
* Mon Sep 01 2008 Gaëtan Lehmann <glehmann@mandriva.org> 0.14.3-1mdv2009.0
+ Revision: 278331
- update to new version 0.14.3

* Sat Aug 02 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.14.1-4mdv2009.0
+ Revision: 261191
- rebuild

* Tue Jul 29 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.14.1-3mdv2009.0
+ Revision: 253564
- rebuild
- fix no-buildroot-tag

* Fri Dec 28 2007 Gaëtan Lehmann <glehmann@mandriva.org> 0.14.1-1mdv2008.1
+ Revision: 138838
- build requires git-core
- update to new version 0.14.1

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Aug 21 2007 Gaëtan Lehmann <glehmann@mandriva.org> 0.13-1mdv2008.0
+ Revision: 68254
- 0.13
- rebuild to make stgit reappear in cooker


* Thu Mar 01 2007 Gaëtan Lehmann <glehmann@mandriva.org> 0.12.1-1mdv2007.0
+ Revision: 130459
- 0.12.1

* Fri Feb 23 2007 Gaëtan Lehmann <glehmann@mandriva.org> 0.12-1mdv2007.1
+ Revision: 124896
- 0.12

* Thu Nov 30 2006 Gaëtan Lehmann <glehmann@mandriva.org> 0.11-1mdv2007.1
+ Revision: 88970
- 0.11
- Import stgit

* Mon Jun 12 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.10-1mdv2007.0
- New release 0.10

* Thu Apr 13 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.9-1mdk
- New release 0.9

* Sun Jan 22 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.8.1-1mdk
- New release 0.8.1
- use py_puresitedir

* Sat Dec 31 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.8-3mdk
- requires git-core instead of linus-git
- spec cleanup

* Thu Dec 29 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.8-2mdk
- rebuild to fix path on i586

* Sat Dec 24 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.8-1mdk
- New release 0.8

* Fri Oct 21 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.7.1-2mdk
- Fix BuildRequires

* Tue Oct 18 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.7.1-1mdk
- New release 0.7.1

* Wed Oct 05 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.7-1mdk
- New release 0.7

* Thu Sep 08 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.6-1mdk
- first mandriva release

